<?php

namespace jrosset\ExtendedMonolog;

use Monolog\Formatter\LineFormatter;

/**
 * A formater for log files
 */
class LogFileFormatter extends LineFormatter {
    /**
     * @inheritDoc
     */
    public function __construct () {
        parent::__construct(
            '[%datetime%] %level_name% : %message%' . PHP_EOL . '%context%' . PHP_EOL . '%extra%',
            'H:i:s',
            true,
            true,
            true
        );
    }

    /**
     * @inheritDoc
     */
    public function format (array $record): string {
        return preg_replace('/((?<!\\\\)\\\\[rn])+$/', PHP_EOL, parent::format($record));
    }
}